package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fct;
import com.brilliance.isc.vo.lg.CshVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface FctMapper {

    int insert(Fct record);

    int insertSelective(Fct record);

    int updateByPrimaryKeySelective(Fct record);

    int updateByPrimaryKey(Fct record);

    int deleteByPrimaryKey(Fct record);

    int deleteByIds(Collection<Object> collection);

    Fct selectByPrimaryKey(Fct record);

}